# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'fulfillment/version'

Gem::Specification.new do |spec|
  spec.name          = 'fulfillment-api'
  spec.version       = Fulfillment::Api::VERSION
  spec.authors       = ['Matt White']
  spec.email         = ['mwhite@goldstar.com']

  spec.summary       = %q{API wrapper for interacting with the Goldstar Fulfillment app.}
  spec.homepage      = 'https://github.com/goldstar/fulfillment-api'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(spec)/})
  end
  spec.require_paths = ['lib']

  spec.add_development_dependency 'byebug'
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rspec-its', '~> 1.2'
  spec.add_development_dependency 'webmock', '~> 2.1'
  spec.add_development_dependency 'vcr', '~> 3.0'
  spec.add_development_dependency 'rspec_junit_formatter'

  spec.add_runtime_dependency 'activesupport', '< 5.3'
  spec.add_runtime_dependency 'faraday', '< 0.15'
  spec.add_runtime_dependency 'faraday_middleware', '< 0.13'
  spec.add_runtime_dependency 'hashie', '< 3.7'
end
